summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2017-09-21 12:38:29 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-09-21 12:38:29 +0000
commit23c1135cd1e956a6251c94477cbf1e67e99e44eb (patch)
tree92bac3344dd027edf0079294de1b65d85afda0f2
parentd4ddb2bd9f28ba2a2136bb225e63d6cc2a6a13b0 (diff)
parent191072605a57185758936ff02af0298a1ec7e592 (diff)
Merge "bugfix: autoupdate failed due to mingle with watchdog"
-rw-r--r--opts/watchdog.sh (renamed from testapi/tools/watchdog/docker_watch.sh)17
1 files changed, 7 insertions, 10 deletions
diff --git a/testapi/tools/watchdog/docker_watch.sh b/opts/watchdog.sh
index f1d8946..51868d7 100644
--- a/testapi/tools/watchdog/docker_watch.sh
+++ b/opts/watchdog.sh
@@ -27,7 +27,7 @@ declare -A urls=( ["testapi"]="http://testresults.opnfv.org/test/" \
### Functions related to checking.
function is_deploying() {
- xml=$(curl -m10 "https://build.opnfv.org/ci/job/${1}-automate-master/lastBuild/api/xml?depth=1")
+ xml=$(curl -m10 "https://build.opnfv.org/ci/job/${1}-automate-docker-deploy-master/lastBuild/api/xml?depth=1")
building=$(grep -oPm1 "(?<=<building>)[^<]+" <<< "$xml")
if [[ $building == "false" ]]
then
@@ -64,12 +64,11 @@ function check_modules() {
failed_modules=()
for module in "${modules[@]}"
do
- if is_deploying $module; then
- continue
- fi
if ! check_connectivity $module "${urls[$module]}"; then
- echo -e "$module failed"
- failed_modules+=($module)
+ if ! is_deploying $module; then
+ echo -e "$module failed"
+ failed_modules+=($module)
+ fi
fi
done
if [ ! -z "$failed_modules" ]; then
@@ -114,13 +113,11 @@ function start_containers_fix() {
function start_container_fix() {
echo -e "Starting a container $module"
- sudo docker stop $module
- sudo docker start $module
+ sudo docker restart $module
sleep 5
if ! check_connectivity $module "${urls[$module]}"; then
echo -e "Starting an old container $module_old"
- sudo docker stop $module
- sudo docker start $module"_old"
+ sudo docker restart $module"_old"
sleep 5
fi
}